using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
namespace KuGo.Web.Admin
{
        public partial class TerritoriesRead : Page
        {
            
            protected void Page_Load(object sender, EventArgs e){
            if (!Page.IsPostBack){
              if (Request.Params["id"] != null && Request.Params["id"].Trim() != ""){
                string strId = Request.Params["id"];
                
                string id = strId;
                                   
                ShowInfo(id);
              }
            }
        }

        /// <summary>
        /// 显示一条 数据
        /// </summary>
        /// <param name="TerritoryID">主键</param>
        private void ShowInfo(string TerritoryID){      
            KuGo.Model.Territories model = new KuGo.BLL.TerritoriesBLL().GetModel(TerritoryID);
            if(model!=null){
              this.TerritoryIDLabel.Text = model.TerritoryID.ToString();               
              this.TerritoryDescriptionLabel.Text = model.TerritoryDescription.ToString();               
              this.RegionIDLabel.Text = model.RegionID.ToString();               
              
            }
        }
    }
  }